<div align="center">
    <img src="fastlane/metadata/android/en-US/images/featureGraphic.png" />
    <a href="https://www.gnu.org/licenses/agpl-3.0" alt="License: GPLv3"><img src="https://img.shields.io/badge/License-AGPL%20v3-blue.svg" alt="AGPLv3+ license badge" />
    <a href="https://github.com/QuantumPhysique/trale/releases" alt="GitHub releases"><img src="https://img.shields.io/github/release/QuantumPhysique/trale.svg" alt="Release version badge" />
    <a href="https://hosted.weblate.org/engage/trale/"><img src="https://hosted.weblate.org/widget/trale/localizations/svg-badge.svg" alt="Translation status badge" />
</a>
</div>

# A simple body-weight diary app respecting your privacy.

Lock in your optimal weight by losing or gaining with this simple, material design app.

Join our community today 🐺🤸‍♀️🏋‍♀️🧘‍♂️🏆🥇


## Installation

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
    alt="Get it on F-Droid"
    height="80">](https://f-droid.org/packages/de.quantumphysique.trale)

Preferably use F-Droid. \
The [latest release](https://github.com/QuantumPhysique/trale/releases/latest) can also be downloaded here.

## Why trale 🐺?
- Truly **gratis**: No annoying advertising, no tracker
- Modern appearance using **Material Design 3**
- **Customizable**: Many custom themes, **dark mode**, and several **units**
- Track your **progress** with state-of-the-art data modeling 🧑‍💻
- Import and export of your measurements
- **Privacy**: No permissions and we do not collect any data
- **<a href="https://github.com/comradekingu/trale/blob/main/LICENSE">Copylefted libre software</a>**: Our words are not just empty promises

## Upcoming features 🚀
- [ ] Achievements and motivational messages
- [ ] Add to Google Play store

## Screenshots
<div align="center">
    <img width="250" src="fastlane/metadata/android/en-US/images/phoneScreenshots/1.jpg" />
    <img width="250" src="fastlane/metadata/android/en-US/images/phoneScreenshots/2.jpg" />
    <img width="250" src="fastlane/metadata/android/en-US/images/phoneScreenshots/3.jpg" />
    <img width="250" src="fastlane/metadata/android/en-US/images/phoneScreenshots/4.jpg" />
</div>

## FAQ
##### I found a bug
Please open a new <a href="https://github.com/QuantumPhysique/trale/issues">issue</a>.

##### Will this app stay gratis?
This app will always be gratis on F-Droid with all features.
Once leaving beta, a small fee will be added on the Google Play Store.

##### Could you please add feature X?
At this stage we are focusing on improving stability before adding new features.
Feel free to open a new <a href="https://github.com/QuantumPhysique/trale/issues">issue</a> or a pull request.

##### Can I contribute?
- Implementing new functionality. If you are new to Flutter you should first [get started](https://flutter.dev/docs/get-started/install).
- Open an issue and help us find bugs, or just give us some feedback.
- Share the app with your friends :)

You can help [translate trale on Hosted Weblate](https://hosted.weblate.org/engage/trale/).

<a href="https://hosted.weblate.org/engage/trale/">
<img src="https://hosted.weblate.org/widget/trale/horizontal-auto.svg" alt="Oversettelsesstatus" />
</a>

## Disclaimer
Anorexia is a serious disease.
Especially due to the many negative examples on social media, anorexia is increasingly becoming a problem for society as a whole.
As part of our contribution to prevention, no target weight below 50 kg / 110 lb / 7.9 st is possible.

This app is still in <b>beta</b> stage and may contain bugs.
If you encounter a bug or if you are missing a feature, please <a href="https://github.com/QuantumPhysique/trale/issues">open a new issue</a>.

## License
The project is licensed [GNU AGPLv3+](https://github.com/QuantumPhysique/trale/blob/main/LICENSE).
