import 'app_localizations.dart';

// ignore_for_file: type=lint

/// The translations for Norwegian Bokmål (`nb`).
class AppLocalizationsNb extends AppLocalizations {
  AppLocalizationsNb([String locale = 'nb']) : super(locale);

  @override
  String get achievements => 'Oppnåelser';

  @override
  String get stats => 'Statistikk';

  @override
  String get trale => 'trale';

  @override
  String get unit => 'Måleenheter';

  @override
  String get date => 'Dato';

  @override
  String get weight => 'Vekt';

  @override
  String get user => 'Brukerprofil';

  @override
  String get userSettings => 'Brukerinnstillinger';

  @override
  String get dangerzone => 'Faresone';

  @override
  String get settings => 'Innstillinger';

  @override
  String get faq => 'O-S-S';

  @override
  String get about => 'Om';

  @override
  String get defaultLang => 'Systemforvalg';

  @override
  String get language => 'Språk';

  @override
  String get theme => 'Drakt';

  @override
  String get darkmode => 'Mørk';

  @override
  String get lightmode => 'Lys';

  @override
  String get systemmode => 'System';

  @override
  String get export => 'Eksporter alle målinger';

  @override
  String get exportSubtitle => 'Dette tilbyr alle målinger til alle programmer.';

  @override
  String get exportDialog => 'Dette eksporterer alle målinger til eksternlagring. Skrivetilgang kreves.';

  @override
  String get open => 'Åpne';

  @override
  String get abort => 'Avbryt';

  @override
  String get import => 'Importer sikkerhetskopi';

  @override
  String get importSubtitle => 'Importer målinger fra .txt-sikkerhetskopifil.';

  @override
  String get amoled => 'Svart';

  @override
  String get amoledSubtitle => 'Endre bakgrunnsfarge til svart for mørk drakt.';

  @override
  String get reset => 'Tilbakestill program';

  @override
  String get factoryReset => 'Fabrikkinnstilling';

  @override
  String get factoryResetSubtitle => 'Tilbakestill alle innstillinger og slett alle målinger.';

  @override
  String get factoryResetDialog => 'Tilbakestill programmet til forvalg? Dette sletter alle innstillinger, og tillagte målinger. Dette kan ikke angres.';

  @override
  String get delete => 'Slett';

  @override
  String get importingAbort => 'Import avbrutt.';

  @override
  String get importDialog => 'Inkluder alle målinger i nåværende database. Dette kan ikke angres.';

  @override
  String get home => 'Hjem';

  @override
  String get yes => 'Ja';

  @override
  String get ok => 'OK';

  @override
  String get save => 'Lagre';

  @override
  String get edit => 'Rediger';

  @override
  String get backup => 'Sikkerhetskopi';

  @override
  String get time => 'Tid';

  @override
  String get assets => 'gjenstander';

  @override
  String get packages => 'pakker';

  @override
  String get loading => 'Laster inn …';

  @override
  String get measurements => 'Målinger';

  @override
  String get version => 'Versjon';

  @override
  String get tpl => 'Tredjepartslisenser';

  @override
  String get licence => 'Lisens';

  @override
  String get sourcecode => 'Kildekode';

  @override
  String get openIssue => 'Åpne feilrapport';

  @override
  String undertpl(String years, String author, String licence) {
    return '© $years av $author med $licence-lisens';
  }

  @override
  String get addWeight => 'Skriv inn din vekt';

  @override
  String get interpolation => 'interpolasjon';

  @override
  String get none => 'Ingen';

  @override
  String get soft => 'Myk';

  @override
  String get medium => 'Middels';

  @override
  String get strong => 'Høy';

  @override
  String get welcome => 'Velkommen';

  @override
  String get onBoarding1 => 'Et enkelt program som hjelper deg å legge på deg eller ta av deg vekt, i materiell deig. Pålitelige forespeilinger og sirlig statistikk for å hjelpe deg å følge din plan.\n\nTa del i gemenskapen i dag og finn din idealvekt.\n🐺🤸‍♀️🏋‍♀️🧘‍♂️🏆🥇';

  @override
  String get onBoarding2 => 'Velg én av seks drakter for å tilpasse programmet deg. Hvilken synes du kler deg?';

  @override
  String get onBoarding3 => 'Takk for at du bruker programmet. 🙂\n\nGi gjerne tilbakemelding, send noen kroner på GitHub, eller kjøp kaffe. Til gjengjeld gir vi deg ingen personvernskrenkende reklame.';

  @override
  String get onBoarding2Title => 'Stil';

  @override
  String get onBoarding3Title => 'Personvern';

  @override
  String get skip => 'Hopp over';

  @override
  String get startApp => 'Start';

  @override
  String get targetWeight => 'Målvekt';

  @override
  String get targetWeightMotivation => 'Å sette en idealvekt er et viktig steg i rett retning. Å ha et mål motiverer deg mer til å oppnå det.';

  @override
  String get targetWeightShort => 'Mål';

  @override
  String get addUserName => 'Hva skal vi kalle deg?';

  @override
  String get addTargetWeight => 'Legg til målvekt';

  @override
  String get intro1 => 'Trykk';

  @override
  String get intro2 => 'Oppstartsinstruks';

  @override
  String get intro3 => 'I dag er en god dag for første måling.';

  @override
  String get faqtext => 'Her finner du svar på ofte stilte spørsmål. Hvis du har andre kan du bruke vårt GitHub-kodelager.';

  @override
  String get faq_q1 => 'Funksjon X mangler. Når vil det bli implementert?';

  @override
  String get faq_a1 => 'Programmet vedlikeholdes på fritiden og vi prøver å holde det rent og enkelt. Mange funksjoner gjør fort ting mindre brukbart. Hvis du tror noe essensielt mangler kan du fortelle oss om det eller lage en flettingsforespørsel.';

  @override
  String get faq_q2 => 'Kan jeg se oppstartsinstruksen igjen?';

  @override
  String get faq_a2 => 'Ja. Trykk på ikonet nedenfor.';

  @override
  String get faq_a2_widget => 'Tilbake til oppstartsinstruksen';

  @override
  String get faq_q3 => 'Hva viser programikonet?';

  @override
  String get faq_a3 => 'En ulv som sitter, og bokstaven «r» der halen er delvis skjult av bokstaven «t».';

  @override
  String get target_weight_warning => 'Anorexia is a serious disease that is increasingly becoming a problem for society as a whole, partly due to the many negative examples on social media. As part of our contribution to prevention, no target weight below 50kg / 110 lb / 7.9 st is possible.';
}
